Downgrade Debian

1. Downgrade Debian

Rodrigo Ferreira Valentim
engos

(usa openSUSE)

Enviado em 01/07/2008 - 16:14h

Preciso fazer um downgrade de uma biblioteca, que depois de um update via aptitude a versão nova venho com bug. Como faço para fazer o downgrade de uma biblioteca para pegar uma versão exata?


---- Entendendo melhor (para quem achar necessário) ----

Tenho dois ambientes com Debian, um o Etch e outro o Lenny.

O Etch funciona bem, mas é apenas servidor, o outro é Lenny, que é precisamente a mesma configuração do Etch, no mesmo micro, só que com o KDE a mais.


Tenho um programa em C++ que usa a libc6-dev, para ser mais exato, /usr/include/sys/sysmacros.h. Pesquisando no google achei meu problema resolvido na versão 2.6.1-3 (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=439859), o que se comprova quando compilo meu programa no Etch que tem a versão da libc6-dev em 2.3.6.ds1-13etch2 sem nenhum problema, mas o bug do link acima aparece na versão que acabei de atualizar hoje, 2.7-10.

Sendo assim, preciso voltar para a versão anterior, para ser mais exato, entre a 2.6.1-3 e 2.3.6.

Como faço isso?


  






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts